version: 2
jobs:
  build:
    working_directory: /go/src/github.com/openzipkin/zipkin-go
    parallelism: 1
    docker:
      - image: circleci/golang
    steps:
      - checkout
      - run: go get -t -v -d ./...
      - run: make vet test bench
